Name: cagibi
Summary: An experimental cache/proxy system for the SSDPpart of UPnP
Version: 0.2.0
Release: %mkrel 7
Url: http://www.kde.org
License: LGPLv2+
Group: System/Libraries
Source0: http://fr2.rpmfind.net/linux/KDE/stable/cagibi/%name-%version.tar.bz2
BuildRequires: qt4-devel
BuildRequires: kde4-macros
BuildRequires: automoc4

%description
Cagibi aims to be to SSDP what Avahi is to DNS-SD/Zeroconf:
a cache caching all service/device announcements on the network in a
local process as well as being a broker serving local announcements to
the network.
Both should be done by a single daemon process, accessable via D-Bus
on the system bus. The cache should offer active queries, so another
process is only informed about changes about UPnP devices it is
interested in.

%files
%{_kde_bindir}/cagibid
%{_sysconfdir}/cagibid.conf
%{_sysconfdir}/dbus-1/system.d/org.kde.Cagibi.conf
%{_kde_datadir}/dbus-1/interfaces/org.kde.Cagibi.Control.xml
%{_kde_datadir}/dbus-1/interfaces/org.kde.Cagibi.DeviceList.xml
%{_kde_datadir}/dbus-1/system-services/org.kde.Cagibi.service


#--------------------------------------------------------------------

%prep
%setup -q 

%build
%cmake_kde4
%cmake_build

%install
%cmake_install



%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.2.0-7.mga8
+ Revision: 1511157
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sat Sep 22 2018 umeabot <umeabot> 0.2.0-6.mga7
+ Revision: 1295835
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.2.0-5.mga6
+ Revision: 942627
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.0-4.mga5
+ Revision: 739798
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.0-3.mga5
+ Revision: 678282
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.2.0-2.mga4
+ Revision: 503289
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.2.0-1.mga3
+ Revision: 347296
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu May 12 2011 mikala <mikala> 0.2.0-0.mga1
+ Revision: 97399
- Update tarbal to 0.2.0
- Fix file list
- imported package cagibi


* Tue May 03 2011 Oden Eriksson <oeriksson@mandriva.com> 0.1.1-2mdv2011.0
+ Revision: 663351
- mass rebuild

* Mon Aug 09 2010 Funda Wang <fwang@mandriva.org> 0.1.1-1mdv2011.0
+ Revision: 567816
- New version 0.1.1

* Thu Jul 29 2010 Funda Wang <fwang@mandriva.org> 0.1.0-1mdv2011.0
+ Revision: 563163
- import cagibi


